# $Revision: 1.116 $, $Date: 2005/05/21 16:57:21 $
Summary:	Utilities for monitoring your system and processes on your system
Summary(de):	Utilities zum Ueberwachen Ihres Systems und der Prozesse
Summary(es):	Utilitarios de monitoracin de procesos
Summary(fr):	Utilitaires de surveillance des processus
Summary(pl):	Narzdzia do monitorowania procesw
Summary(pt_BR):	Utilitrios de monitorao de processos
Summary(tr):	Sre izleme aralar
Name:		procps
Version:	3.2.5
Release:	3BL
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	http://procps.sourceforge.net/%{name}-%{version}.tar.gz
# Source0-md5:	cde0e3612d1d7c68f404d46f01c44fb4
Source1:	http://atos.wmid.amu.edu.pl/~undefine/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	60d24720b76c10553ed4abf68b76e079
Source2:	top.desktop
Source3:	top.png
Source4:	XConsole.sh
Patch0:		%{name}-make.patch
Patch1:		%{name}-sysctl_stdin.patch
Patch2:		%{name}-global.patch
Patch3:		%{name}-FILLBUG_backport.patch
# http://www.nsa.gov/selinux/patches/procps-selinux.patch.gz
Patch4:		%{name}-selinux.patch
Patch5:		%{name}-doubledot.patch
URL:		http://procps.sourceforge.net/
BuildRequires:	ncurses-devel >= 5.1
PreReq:		fileutils
Obsoletes:	procps-X11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The procps package contains a set of system utilities which provide
system information. Procps includes ps, free, skill, snice, tload,
top, uptime, vmstat, w and watch. The ps command displays a snapshot
of running processes. The top command provides a repetitive update of
the statuses of running processes. The free command displays the
amounts of free and used memory on your system. The skill command
sends a terminate command (or another specified signal) to a specified
set of processes. The snice command is used to change the scheduling
priority of specified processes. The tload command prints a graph of
the current system load average to a specified tty. The uptime command
displays the current time, how long the system has been running, how
many users are logged on and system load averages for the past one,
five and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they're running. The watch
program watches a running program. The vmstat command displays virtual
memory statistics about processes, memory, paging, block I/O, traps
and CPU activity.

%description -l de
Das procps-Paket enthlt System-Utilities, die Systeminformationen
anzeigen. Procps enthlt ps, free, skill, snice, tload, top, uptime,
vmstat, w und watch. ps zeigt an, welche Prozesse gerade laufen. Top
zeigt in regelmigen Abstnden eine Prozessliste an. Free zeigt an,
wieviel Speicher frei ist, und wieviel Speicher benutzt wird. Skill
schickt den Terminierungsbefehl (oder ein anderes angegebenes Signal)
an angegebene Prozesse. Snice ndert die Prioritt von angegebenen
Prozessen. tload zeigt einen Graphen der aktuellen Systemauslastung
an. Uptime zeigt an, wie lange das System am laufen ist, wieviele User
eingeloggt sind, und die Auslastungswerte der letzten Minute, der
letzten 5 Minuten, und 15 Minuten. Der w-Befehl zeigt eine Liste der
User an, die gerade eingeloggt sind, und welches Programm sie
benutzen. Vmstat zeigt Statistiken ber den virtuellen Speicher,
Prozesse, Paging, Block I/O, Traps, und CPU-Aktivitt.

%description -l es
Un paquete de utilitarios que relatan el estado del sistema. Se da
nfasis a los procesos en ejecucin, total de memoria disponible y a
los usuarios que estn "logados" en el sistema.

%description -l fr
Paquetage d'utilitaires donnant des informations sur l'tat du
systme, dont les tats des processus en cours, le total de mmoire
disponible, et les utilisateurs loggs.

%description -l pl
Pakiet zawiera podstawowe narzdzia do monitorowania pracy systemu.
Dziki tym programom bdziesz mg na bieco kontrolowa jakie
procesy s w danej chwili uruchomione, ilo wolnej pamici, kto jest
w danej chwili zalogowany, jakie jest aktualne obcienie systemu itp.

%description -l pt_BR
Um pacote de utilitrios que relatam o estado do sistema.  dado
nfase aos processos em execuo, total de memria disponvel e aos
usurios que esto logados no sistema.

%description -l tr
Sistemin durumunu rapor eden aralar paketidir. Koan srelerin
durumunu, kullanlabilir bellek miktarn, ve o an iin sisteme girmi
kullanclar bildirir.

%package devel
Summary:	libproc header files
Summary(pl):	Pliki nagwkowe libproc
License:	LGPL
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
libproc header files.

%description devel -l pl
Pliki nagwkowe biblioteki libproc.

%package static
Summary:	Static libproc library
Summary(pl):	Statyczna biblioteka libproc
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of libproc library.

%description static -l pl
Statyczna wersja biblioteki libproc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} proc/libproc.a \
	CC="%{__cc}" \
	ALL_CFLAGS="%{rpmcflags} -Wall -ffast-math" \
	LDFLAGS="%{rpmldflags}" \
	SHARED=0
mv -f proc/libproc.a .
%{__make} clean

%{__make} \
	CC="%{__cc}" \
	ALL_CFLAGS="%{rpmcflags} -Wall -ffast-math" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/proc,%{_libdir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	lib64=%{_lib} \
	install="install -D" \
	ldconfig=true

ln -sf /%{_lib}/libproc-%{version}.so \
	$RPM_BUILD_ROOT%{_libdir}/libproc.so

install libproc.a $RPM_BUILD_ROOT%{_libdir}
install proc/*.h $RPM_BUILD_ROOT%{_includedir}/proc
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/XConsole

rm -f $RPM_BUILD_ROOT/bin/kill
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{snice,kill,oldps}.1
rm -f $RPM_BUILD_ROOT%{_bindir}/{oldps,kill}

echo ".so skill.1" > $RPM_BUILD_ROOT%{_mandir}/man1/snice.1

bzcat -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man1/{kill,oldps}.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -f /proc/uptime ] ; then
	/bin/ps </dev/null >/dev/null 2>&1
fi
rm -f %{_sysconfdir}/psdevtab %{_sysconfdir}/psdatabase

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS BUGS TODO
%attr(755,root,root) /%{_lib}/libproc*.*so
%attr(755,root,root) /bin/*
%attr(755,root,root) /sbin/sysctl
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/top.desktop
%{_pixmapsdir}/top.png
%{_mandir}/man*/*
%lang(cs) %{_mandir}/cs/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fi) %{_mandir}/fi/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(hu) %{_mandir}/hu/man*/*
%lang(it) %{_mandir}/it/man*/*
%lang(ja) %{_mandir}/ja/man*/*
%lang(ko) %{_mandir}/ko/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproc.so
%{_includedir}/proc

%files static
%defattr(644,root,root,755)
%{_libdir}/libproc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: procps.spec,v $
Revision 1.116BL  2005/05/21 16:57:21  bartoszl@ics.p.lodz.pl
- double dot feature
- release 3BL

Revision 1.116  2005/05/21 16:57:21  speedy
- release 3

Revision 1.115  2005/04/26 15:22:44  speedy
- top.desktop icon
- release 2

Revision 1.114  2005/02/06 10:02:43  qboosh
- updated to 3.2.5, updated selinux patch

Revision 1.113  2004/11/05 09:31:50  paladine
- updated to 3.2.4

Revision 1.112  2004/08/17 08:08:06  ankry
- epoch fixes

Revision 1.111  2004/08/16 16:16:10  havner
- epoch 1 not to be smaller than on AC-branch

Revision 1.110  2004/08/15 13:54:18  paszczus
- updated to 3.2.3
- updated procps-{make,global,selinux} patches

Revision 1.109  2004/07/24 19:29:47  qboosh
- updated to 3.2.2, updated make,selinux,FILLBUG patches
- build fixes to link libs only once

Revision 1.108  2004/04/19 14:37:00  blues
- release 3 - STBR for AC

Revision 1.107  2004/03/28 20:05:04  qboosh
- selinux patch is back (updated)

Revision 1.106  2004/03/28 14:47:38  areq
- 3.2.1, selinux.patch outdated ?

Revision 1.105  2004/02/24 12:25:45  qboosh
- added selinux enhancement patch

Revision 1.104  2004/02/24 11:12:08  qboosh
- updated to 3.2.0, updated make patch

Revision 1.103  2004/01/23 09:31:18  jajcus
- Release: 2 (to rebuild on AMD64)

Revision 1.102  2003/12/25 00:15:52  qboosh
- simplified install, don't run ldconfig on make install
- moved devel symlink to %%{_libdir}

Revision 1.101  2003/12/24 19:03:12  arekm
- updated to 3.1.15 (selinux support without additional libs)

Revision 1.100  2003/12/19 14:06:03  jajcus
- library installed in /%{_lib} instead of hardcoded /lib/

Revision 1.99  2003/10/22 09:04:57  adamg
- updated to 3.1.14

Revision 1.98  2003/09/30 14:01:46  grzegol
- updated to 3.1.13

Revision 1.97  2003/09/21 17:35:03  adgor
- Desktop file moved to %%{_desktopdir}

Revision 1.96  2003/09/15 07:31:59  adamg
- updated to 3.1.12

Revision 1.95  2003/08/31 17:11:45  mmazur
- rel 4 for ac

Revision 1.94  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.93  2003/07/28 16:37:42  blues
- release 3 - added FILLBUG_backport.patch

Revision 1.92  2003/07/28 14:12:37  blues
- release 2 - "backported" XConsole and top.desktop from previous version
  of procps.

Revision 1.91  2003/07/14 21:32:16  adamg
- updated to 3.1.11 (fixes compilation when using gcc 2.95)

Revision 1.90  2003/07/14 09:01:15  adamg
- updated to 3.1.10

Revision 1.89  2003/07/04 15:05:07  qboosh
- added global patch (adds freeproc to global symbols), release 2

Revision 1.88  2003/06/06 01:50:45  michuz
- more selinux stuff

Revision 1.87  2003/05/31 23:49:54  adamg
- updated to 3.1.9

Revision 1.86  2003/05/28 22:57:59  undefine
- temporary url

Revision 1.85  2003/05/28 22:51:59  undefine
- correct md5sum for non-english...

Revision 1.84  2003/05/28 06:48:21  michuz
- added bcond selinux support

Revision 1.83  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.82  2003/05/25 06:25:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.81  2003/03/20 20:53:48  orzech
- up to 3.1.8 (fixes in top)

Revision 1.80  2003/03/19 08:40:14  misi3k
- updated to 3.1.7

Revision 1.79  2003/02/17 22:32:06  areq
- 3.1.6
- remove ksyms.patch

Revision 1.78  2003/01/16 11:05:35  ankry
- enable reading data from stdin in sysctl (-sysctl_stdin.patch)
  [ it would simplify scripts ]
- release 2

Revision 1.77  2002/12/21 23:02:29  orzech
- up to 3.1.5

Revision 1.76  2002/12/21 20:20:02  qboosh
- added ksyms patch (fix for "/proc/ksyms not normal" caused by no termination)
- release 2

Revision 1.75  2002/12/15 17:11:38  areq
- 3.1.4. STBR

Revision 1.74  2002/12/13 17:31:24  gotar
- cosmetics

Revision 1.73  2002/12/13 17:24:46  gotar
- upgraded to 3.1.3

Revision 1.72  2002/12/13 17:20:15  gotar
- typo (also exist in 3.1.3),
- release 2.

Revision 1.71  2002/12/11 14:44:26  pioklo
-3.1.2

Revision 1.70  2002/11/20 14:55:35  areq
- 3.1.1, STBR

Revision 1.69  2002/11/09 13:18:28  misiek
- updated to 3.1.0

Revision 1.68  2002/10/25 21:39:59  ankry
- updated to 2.0.10: bugfixes
- removed obsolete patches, desktop patched now

Revision 1.67  2002/10/24 22:48:11  ankry
- added -man patch (minor formatting fixes)
- updated man pages
- release 15

Revision 1.66  2002/10/06 10:22:10  misiek
- new urls (there is 2.0.9 with bunch of bugfixes btw)

Revision 1.65  2002/08/26 22:34:10  qboosh
- more fixes in install patch
- added -devel and -static subpackages
- release 14

Revision 1.64  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.63  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.62  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.61  2001/11/12 07:06:45  ankry
- removed bogus da man pages
- release 13

Revision 1.60  2001/11/07 21:56:55  ankry
- added some cs,da,de,es,fi,fr,hu,it,ja,ko,nl man pages
- release 12

Revision 1.59  2001/09/18 04:44:21  kloczek
- cosmetics.

Revision 1.58  2001/08/11 12:27:45  kloczek
- release 11,
- merge some patcxhes from rawhide and CNV,
- added w(1) pl man page.

Revision 1.57  2001/08/11 11:44:55  undefine
- added polish top.1 man page(kloczek, please do link)

Revision 1.56  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.55  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.54  2001/04/09 23:51:27  kloczek
- release 6.

Revision 1.53  2001/04/08 16:07:16  blues
- moved desktop-file to System

Revision 1.52  2001/01/25 20:03:47  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.51  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.50  2000/09/29 14:41:11  zagrodzki
- prereq: fileutils (rm)
- release 5

Revision 1.49  2000/09/27 14:20:58  kloczek
- release 4,
- use new rpm automation.

Revision 1.48  2000/09/27 09:50:36  kloczek
- release 3,
- added locale patch from RH (on locale diffrent than C top without this fix
  fails because tries output some variables depending on locale formats),
- make spec %%{debug} ready.

Revision 1.47  2000/08/25 13:12:33  baggins
- fixed patching

Revision 1.46  2000/08/16 19:22:03  kravietz
- upgraded to 2.0.7
  removed obsolete patches
  cleanup

Revision 1.45  2000/07/31 12:37:25  kloczek
- spec adapterized.

Revision 1.44  2000/07/31 08:57:01  zagrodzki
- SMP is enabled by default - it works with single CPU too.

Revision 1.43  2000/07/13 23:20:25  baggins
- release 14
- rebuild with ncurses 5.1

Revision 1.42  2000/07/12 18:51:20  baggins
- release 13
- added patches from rawhide
	larger buffers for reading /proc/stat
	add smp, signal name patches from VA Linux.  Thanks guys.
	fix PAGE_SIZE mismatch on ia64

Revision 1.41  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.40  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.39  2000/05/11 03:58:44  kloczek
- release 7,
- spec adapterized,
- merged longlong, sysctl, sysmap patches from rawhide.

Revision 1.38  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.37  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.36  1999/11/28 16:40:43  kloczek
- release 3,
- move desktop file for top to applnk tree.

Revision 1.35  1999/11/16 17:34:45  kloczek
- ">" replaced by ">=" for reguiring ncurses.

Revision 1.34  1999/11/16 17:33:19  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.33  1999/11/04 11:15:22  wiget
- 2.0.6
- removed procps-w.patch (not needed now)

Revision 1.32  1999/09/30 20:30:01  kloczek
- updated to 2.0.5.

Revision 1.31  1999/09/29 09:35:29  wiget
- added procps-man5.patch (install sysctl.conf.5)

Revision 1.30  1999/09/28 17:57:02  kloczek
- updated to 2.0.4.

Revision 1.29  1999/09/19 09:21:53  kravietz
- fixed a typo preventing man8 pages from being installed
- added patch which allows to see who's logged in on systems
  with restricted /proc support in kernel; the unpriviledged user sees
  all the usual data, but the process' commandline

Revision 1.28  1999/09/03 20:29:20  pius
- updated to 2.0.3,
- added top.desktop instead of wmconfig file,
- added new entries in %files,
- simplifications in %install,
- cosmetics.

Revision 1.27  1999/07/27 08:17:24  wiget
- removed %{_bindir}/kill and kill.1* man pages (are in util-linux)

Revision 1.26  1999/07/27 07:45:38  wiget
- added more polish man pages

Revision 1.25  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
